Index: trunk/MagicSoft/Mars/datacenter/scripts/insertsequences
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/insertsequences	(revision 7370)
+++ trunk/MagicSoft/Mars/datacenter/scripts/insertsequences	(revision 7370)
@@ -0,0 +1,82 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2004 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+set -C
+
+cd $mars
+
+datetime=`date +%F-%H-%M-%S`
+year=`date +%Y`
+
+scriptlogpath=$logpath/run/insertsequences/`date +%Y/%m`
+makedir $scriptlogpath
+
+scriptlog=$scriptlogpath/insertsequences-$datetime.log
+
+date >> $scriptlog 2>&1
+
+date > $lockpath/lock-insertsequences.txt >> $scriptlog 2>&1 
+checklock0=$?
+case $checklock0 in 
+    0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
+    1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
+         echo "-> insertsequences is running -> exit" >> $scriptlog 2>&1
+         date  >> $scriptlog 2>&1
+         exit;;
+    *)   echo "checklock0=$checklock0 -> something went completely wrong" >> $scriptlog 2>&1;;
+esac
+
+
+sequencefiles=(`grep -R '#manually changed' $sequpath/ | cut -c 1-42`)
+echo "sequencefiles: "${sequencefiles[@]}  >> $scriptlog 2>&1 
+echo "" >> $scriptlog 2>&1 
+
+for sequencefile in ${sequencefiles[@]}
+do 
+   echo "file: "$sequencefile >> $scriptlog 2>&1 
+   no=`echo $sequencefile | cut -c 31-38`
+   insertsequencepath=$logpath/insertsequence/$no
+   makedir $insertsequencepath >> $scriptlog 2>&1
+   insertsequencelog=$insertsequencepath/insertsequence-$no.log
+
+   check0=`root -q -b $macrospath/insertsequence.C+\("\"$sequencefile\""\,kFALSE\) | tee $insertsequencelog | grep int | sed -e 's/(int)//'`
+   case $check0 in 
+      1)   echo "check0=$check0 -> everything ok " >> $scriptlog 2>&1 ;;
+      *)   echo "check0=$check0 -> ERROR " >> $scriptlog 2>&1 ;;
+   esac
+done
+
+rm -v $lockpath/lock-insertsequences.txt >> $scriptlog 2>&1 
+
+set +C
+
+date  >> $scriptlog 2>&1
+
Index: trunk/MagicSoft/Mars/datacenter/scripts/rmlocks
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/rmlocks	(revision 7370)
+++ trunk/MagicSoft/Mars/datacenter/scripts/rmlocks	(revision 7370)
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2005 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+files=`ls $lockpath/*`
+
+for file in ${files[@]}
+do 
+#   echo "file: "$file
+   filedate=`date +%Y%m%d%H -r $file`
+   now=`date +%Y%m%d%H`
+   compdate=`expr $now - 12`
+#   echo "date: "$filedate
+#   echo "now: " $now
+#   echo "comp: " $compdate
+   if [ $compdate -gt $filedate ]
+   then 
+#      echo "greater -> remove"
+      rm -v $file
+      date
+   fi
+done
+
+
+
